curl --request POST \
--url https://api.hubapi.com/crm-object-schemas/2026-03/schemas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowsSensitiveProperties": true,
"associatedObjects": [
"<string>"
],
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"properties": [
{
"fieldType": "<string>",
"label": "<string>",
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"externalOptionsReferenceType": "<string>",
"formField": true,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": true,
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"searchableInGlobalSearch": true,
"showCurrencySymbol": true
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"shouldCreateSameObjectAssociation": true,
"description": "<string>",
"primaryDisplayProperty": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm-object-schemas/2026-03/schemas"
payload = {
"allowsSensitiveProperties": True,
"associatedObjects": ["<string>"],
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"properties": [
{
"fieldType": "<string>",
"label": "<string>",
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"externalOptionsReferenceType": "<string>",
"formField": True,
"groupName": "<string>",
"hasUniqueValue": True,
"hidden": True,
"options": [
{
"displayOrder": 123,
"hidden": True,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"searchableInGlobalSearch": True,
"showCurrencySymbol": True
}
],
"requiredProperties": ["<string>"],
"searchableProperties": ["<string>"],
"secondaryDisplayProperties": ["<string>"],
"shouldCreateSameObjectAssociation": True,
"description": "<string>",
"primaryDisplayProperty": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowsSensitiveProperties: true,
associatedObjects: ['<string>'],
labels: {plural: '<string>', singular: '<string>'},
name: '<string>',
properties: [
{
fieldType: '<string>',
label: '<string>',
name: '<string>',
description: '<string>',
displayOrder: 123,
externalOptionsReferenceType: '<string>',
formField: true,
groupName: '<string>',
hasUniqueValue: true,
hidden: true,
options: [
{
displayOrder: 123,
hidden: true,
label: '<string>',
value: '<string>',
description: '<string>'
}
],
referencedObjectType: '<string>',
searchableInGlobalSearch: true,
showCurrencySymbol: true
}
],
requiredProperties: ['<string>'],
searchableProperties: ['<string>'],
secondaryDisplayProperties: ['<string>'],
shouldCreateSameObjectAssociation: true,
description: '<string>',
primaryDisplayProperty: '<string>'
})
};
fetch('https://api.hubapi.com/crm-object-schemas/2026-03/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm-object-schemas/2026-03/schemas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'allowsSensitiveProperties' => true,
'associatedObjects' => [
'<string>'
],
'labels' => [
'plural' => '<string>',
'singular' => '<string>'
],
'name' => '<string>',
'properties' => [
[
'fieldType' => '<string>',
'label' => '<string>',
'name' => '<string>',
'description' => '<string>',
'displayOrder' => 123,
'externalOptionsReferenceType' => '<string>',
'formField' => true,
'groupName' => '<string>',
'hasUniqueValue' => true,
'hidden' => true,
'options' => [
[
'displayOrder' => 123,
'hidden' => true,
'label' => '<string>',
'value' => '<string>',
'description' => '<string>'
]
],
'referencedObjectType' => '<string>',
'searchableInGlobalSearch' => true,
'showCurrencySymbol' => true
]
],
'requiredProperties' => [
'<string>'
],
'searchableProperties' => [
'<string>'
],
'secondaryDisplayProperties' => [
'<string>'
],
'shouldCreateSameObjectAssociation' => true,
'description' => '<string>',
'primaryDisplayProperty' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm-object-schemas/2026-03/schemas"
payload := strings.NewReader("{\n \"allowsSensitiveProperties\": true,\n \"associatedObjects\": [\n \"<string>\"\n ],\n \"labels\": {\n \"plural\": \"<string>\",\n \"singular\": \"<string>\"\n },\n \"name\": \"<string>\",\n \"properties\": [\n {\n \"fieldType\": \"<string>\",\n \"label\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"displayOrder\": 123,\n \"externalOptionsReferenceType\": \"<string>\",\n \"formField\": true,\n \"groupName\": \"<string>\",\n \"hasUniqueValue\": true,\n \"hidden\": true,\n \"options\": [\n {\n \"displayOrder\": 123,\n \"hidden\": true,\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"referencedObjectType\": \"<string>\",\n \"searchableInGlobalSearch\": true,\n \"showCurrencySymbol\": true\n }\n ],\n \"requiredProperties\": [\n \"<string>\"\n ],\n \"searchableProperties\": [\n \"<string>\"\n ],\n \"secondaryDisplayProperties\": [\n \"<string>\"\n ],\n \"shouldCreateSameObjectAssociation\": true,\n \"description\": \"<string>\",\n \"primaryDisplayProperty\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm-object-schemas/2026-03/schemas")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allowsSensitiveProperties\": true,\n \"associatedObjects\": [\n \"<string>\"\n ],\n \"labels\": {\n \"plural\": \"<string>\",\n \"singular\": \"<string>\"\n },\n \"name\": \"<string>\",\n \"properties\": [\n {\n \"fieldType\": \"<string>\",\n \"label\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"displayOrder\": 123,\n \"externalOptionsReferenceType\": \"<string>\",\n \"formField\": true,\n \"groupName\": \"<string>\",\n \"hasUniqueValue\": true,\n \"hidden\": true,\n \"options\": [\n {\n \"displayOrder\": 123,\n \"hidden\": true,\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"referencedObjectType\": \"<string>\",\n \"searchableInGlobalSearch\": true,\n \"showCurrencySymbol\": true\n }\n ],\n \"requiredProperties\": [\n \"<string>\"\n ],\n \"searchableProperties\": [\n \"<string>\"\n ],\n \"secondaryDisplayProperties\": [\n \"<string>\"\n ],\n \"shouldCreateSameObjectAssociation\": true,\n \"description\": \"<string>\",\n \"primaryDisplayProperty\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm-object-schemas/2026-03/schemas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allowsSensitiveProperties\": true,\n \"associatedObjects\": [\n \"<string>\"\n ],\n \"labels\": {\n \"plural\": \"<string>\",\n \"singular\": \"<string>\"\n },\n \"name\": \"<string>\",\n \"properties\": [\n {\n \"fieldType\": \"<string>\",\n \"label\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"displayOrder\": 123,\n \"externalOptionsReferenceType\": \"<string>\",\n \"formField\": true,\n \"groupName\": \"<string>\",\n \"hasUniqueValue\": true,\n \"hidden\": true,\n \"options\": [\n {\n \"displayOrder\": 123,\n \"hidden\": true,\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"referencedObjectType\": \"<string>\",\n \"searchableInGlobalSearch\": true,\n \"showCurrencySymbol\": true\n }\n ],\n \"requiredProperties\": [\n \"<string>\"\n ],\n \"searchableProperties\": [\n \"<string>\"\n ],\n \"secondaryDisplayProperties\": [\n \"<string>\"\n ],\n \"shouldCreateSameObjectAssociation\": true,\n \"description\": \"<string>\",\n \"primaryDisplayProperty\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"allowsSensitiveProperties": true,
"archived": true,
"associations": [
{
"fromObjectTypeId": "<string>",
"id": "<string>",
"toObjectTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"properties": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"numberDisplayHint": "currency",
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"textDisplayHint": "domain_name",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"description": "<string>",
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create a new custom object schema.
Créer un nouveau schéma d’objet personnalisé en définissant ses propriétés et ses associations.
curl --request POST \
--url https://api.hubapi.com/crm-object-schemas/2026-03/schemas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowsSensitiveProperties": true,
"associatedObjects": [
"<string>"
],
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"properties": [
{
"fieldType": "<string>",
"label": "<string>",
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"externalOptionsReferenceType": "<string>",
"formField": true,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": true,
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"searchableInGlobalSearch": true,
"showCurrencySymbol": true
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"shouldCreateSameObjectAssociation": true,
"description": "<string>",
"primaryDisplayProperty": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm-object-schemas/2026-03/schemas"
payload = {
"allowsSensitiveProperties": True,
"associatedObjects": ["<string>"],
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"properties": [
{
"fieldType": "<string>",
"label": "<string>",
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"externalOptionsReferenceType": "<string>",
"formField": True,
"groupName": "<string>",
"hasUniqueValue": True,
"hidden": True,
"options": [
{
"displayOrder": 123,
"hidden": True,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"searchableInGlobalSearch": True,
"showCurrencySymbol": True
}
],
"requiredProperties": ["<string>"],
"searchableProperties": ["<string>"],
"secondaryDisplayProperties": ["<string>"],
"shouldCreateSameObjectAssociation": True,
"description": "<string>",
"primaryDisplayProperty": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowsSensitiveProperties: true,
associatedObjects: ['<string>'],
labels: {plural: '<string>', singular: '<string>'},
name: '<string>',
properties: [
{
fieldType: '<string>',
label: '<string>',
name: '<string>',
description: '<string>',
displayOrder: 123,
externalOptionsReferenceType: '<string>',
formField: true,
groupName: '<string>',
hasUniqueValue: true,
hidden: true,
options: [
{
displayOrder: 123,
hidden: true,
label: '<string>',
value: '<string>',
description: '<string>'
}
],
referencedObjectType: '<string>',
searchableInGlobalSearch: true,
showCurrencySymbol: true
}
],
requiredProperties: ['<string>'],
searchableProperties: ['<string>'],
secondaryDisplayProperties: ['<string>'],
shouldCreateSameObjectAssociation: true,
description: '<string>',
primaryDisplayProperty: '<string>'
})
};
fetch('https://api.hubapi.com/crm-object-schemas/2026-03/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm-object-schemas/2026-03/schemas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'allowsSensitiveProperties' => true,
'associatedObjects' => [
'<string>'
],
'labels' => [
'plural' => '<string>',
'singular' => '<string>'
],
'name' => '<string>',
'properties' => [
[
'fieldType' => '<string>',
'label' => '<string>',
'name' => '<string>',
'description' => '<string>',
'displayOrder' => 123,
'externalOptionsReferenceType' => '<string>',
'formField' => true,
'groupName' => '<string>',
'hasUniqueValue' => true,
'hidden' => true,
'options' => [
[
'displayOrder' => 123,
'hidden' => true,
'label' => '<string>',
'value' => '<string>',
'description' => '<string>'
]
],
'referencedObjectType' => '<string>',
'searchableInGlobalSearch' => true,
'showCurrencySymbol' => true
]
],
'requiredProperties' => [
'<string>'
],
'searchableProperties' => [
'<string>'
],
'secondaryDisplayProperties' => [
'<string>'
],
'shouldCreateSameObjectAssociation' => true,
'description' => '<string>',
'primaryDisplayProperty' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm-object-schemas/2026-03/schemas"
payload := strings.NewReader("{\n \"allowsSensitiveProperties\": true,\n \"associatedObjects\": [\n \"<string>\"\n ],\n \"labels\": {\n \"plural\": \"<string>\",\n \"singular\": \"<string>\"\n },\n \"name\": \"<string>\",\n \"properties\": [\n {\n \"fieldType\": \"<string>\",\n \"label\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"displayOrder\": 123,\n \"externalOptionsReferenceType\": \"<string>\",\n \"formField\": true,\n \"groupName\": \"<string>\",\n \"hasUniqueValue\": true,\n \"hidden\": true,\n \"options\": [\n {\n \"displayOrder\": 123,\n \"hidden\": true,\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"referencedObjectType\": \"<string>\",\n \"searchableInGlobalSearch\": true,\n \"showCurrencySymbol\": true\n }\n ],\n \"requiredProperties\": [\n \"<string>\"\n ],\n \"searchableProperties\": [\n \"<string>\"\n ],\n \"secondaryDisplayProperties\": [\n \"<string>\"\n ],\n \"shouldCreateSameObjectAssociation\": true,\n \"description\": \"<string>\",\n \"primaryDisplayProperty\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm-object-schemas/2026-03/schemas")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allowsSensitiveProperties\": true,\n \"associatedObjects\": [\n \"<string>\"\n ],\n \"labels\": {\n \"plural\": \"<string>\",\n \"singular\": \"<string>\"\n },\n \"name\": \"<string>\",\n \"properties\": [\n {\n \"fieldType\": \"<string>\",\n \"label\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"displayOrder\": 123,\n \"externalOptionsReferenceType\": \"<string>\",\n \"formField\": true,\n \"groupName\": \"<string>\",\n \"hasUniqueValue\": true,\n \"hidden\": true,\n \"options\": [\n {\n \"displayOrder\": 123,\n \"hidden\": true,\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"referencedObjectType\": \"<string>\",\n \"searchableInGlobalSearch\": true,\n \"showCurrencySymbol\": true\n }\n ],\n \"requiredProperties\": [\n \"<string>\"\n ],\n \"searchableProperties\": [\n \"<string>\"\n ],\n \"secondaryDisplayProperties\": [\n \"<string>\"\n ],\n \"shouldCreateSameObjectAssociation\": true,\n \"description\": \"<string>\",\n \"primaryDisplayProperty\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm-object-schemas/2026-03/schemas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allowsSensitiveProperties\": true,\n \"associatedObjects\": [\n \"<string>\"\n ],\n \"labels\": {\n \"plural\": \"<string>\",\n \"singular\": \"<string>\"\n },\n \"name\": \"<string>\",\n \"properties\": [\n {\n \"fieldType\": \"<string>\",\n \"label\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"displayOrder\": 123,\n \"externalOptionsReferenceType\": \"<string>\",\n \"formField\": true,\n \"groupName\": \"<string>\",\n \"hasUniqueValue\": true,\n \"hidden\": true,\n \"options\": [\n {\n \"displayOrder\": 123,\n \"hidden\": true,\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"referencedObjectType\": \"<string>\",\n \"searchableInGlobalSearch\": true,\n \"showCurrencySymbol\": true\n }\n ],\n \"requiredProperties\": [\n \"<string>\"\n ],\n \"searchableProperties\": [\n \"<string>\"\n ],\n \"secondaryDisplayProperties\": [\n \"<string>\"\n ],\n \"shouldCreateSameObjectAssociation\": true,\n \"description\": \"<string>\",\n \"primaryDisplayProperty\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"allowsSensitiveProperties": true,
"archived": true,
"associations": [
{
"fromObjectTypeId": "<string>",
"id": "<string>",
"toObjectTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"properties": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"numberDisplayHint": "currency",
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"textDisplayHint": "domain_name",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"description": "<string>",
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Corps
Détermine si le type d'objet peut inclure des propriétés marquées comme sensibles.
Associations définies pour ce type d'objet.
Show child attributes
Show child attributes
Un nom unique pour cet objet. Pour un usage interne uniquement.
Propriétés définies pour ce type d'objet.
Show child attributes
Show child attributes
Les noms des propriétés qui devraient être obligatoires lors de la création d'un objet de ce type.
Noms des propriétés qui seront indexées pour ce type d'objet dans la recherche de produits de HubSpot.
Les noms des propriétés secondaires pour cet objet. Elles seront affichées comme secondaires sur la page de la fiche d'informations HubSpot pour ce type d'objet.
Un booléen indiquant si des associations doivent être créées entre des objets du même type.
Une brève explication du type d'objet.
Le nom de la propriété principale pour cet objet. Elle sera affichée comme principale sur la page de la fiche d'informations HubSpot pour ce type d'objet.
Réponse
successful operation
Un booléen indiquant si le schéma d'objet autorise les propriétés sensibles.
Un booléen indiquant si le schéma d'objet est archivé.
Associations définies pour un type d'objet donné.
Show child attributes
Show child attributes
Un ID unique attribué pour l'objet, comprenant l'ID du portail et le nom de l'objet.
Un ID unique pour le type d'objet de ce schéma. Sera défini comme {meta-type}-{unique ID}.
Show child attributes
Show child attributes
Un nom unique pour le type d'objet de ce schéma.
Une chaîne de caractère représentant l'ID de type de l'objet.
Propriétés définies pour ce type d'objet.
Show child attributes
Show child attributes
Les noms des propriétés qui devraient être obligatoires lors de la création d'un objet de ce type.
Noms des propriétés qui seront indexées pour ce type d'objet dans la recherche de produits de HubSpot.
Les noms des propriétés secondaires pour cet objet. Elles seront affichées comme secondaires sur la page de la fiche d'informations HubSpot pour ce type d'objet.
Moment où le schéma d'objet a été créé.
Un nombre entier représentant l'ID de l'utilisateur qui a créé le schéma d'objet.
Une chaîne de caractères fournissant une description du schéma d'objet.
Le nom de la propriété principale pour cet objet. Elle sera affichée comme principale sur la page de la fiche d'informations HubSpot pour ce type d'objet.
Moment de la dernière mise à jour du schéma.
Un nombre entier représentant l'ID de l'utilisateur qui a mis à jour le schéma d'objet en dernier.